#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1>Manajemen Data Rekap Pengadaan</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <p>
        <a href="@{dashboard.RekapPengadaanAdjustmentController.create()}"
           class="btn btn-complete btn-cons btn-teal-monev"><i class="fa fa-plus"></i> Buat Data Tahun Ini</a>
    </p>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <table id="table-data" class="table table-hover demo-table-dynamic table-responsive-block dataTable no-footer">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Tahun</th>
                            <th>Tanggal Update</th>
                            <th>Ada Update</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade slide-up disable-scroll" id="modalPreview" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog ">
        <div class="modal-content-wrapper">
            <div class="modal-content">
                <div class="modal-header clearfix text-left">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i
                            class="pg-close fs-14"></i>
                    </button>
                    <h5>Data Tahun <span class="semi-bold" id="tahun"></span></h5>
                </div>
                <div class="modal-body">
                    <div class="form-group-attached">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-group-default">
                                    <label>Total Anggaran</label>
                                    <span class="number" id="total_anggaran"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-group-default">
                                    <label>Belanja Pengadaan</label>
                                    <span class="number" id="belanja_pengadaan"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Paket Perencanaan</label>
                                    <span class="number" id="rencana_paket"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Pagu Perencanaan</label>
                                    <span class="number" id="rencana_pagu"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Paket Pemilihan</label>
                                    <span class="number" id="pelaksanaan_paket"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Pagu Pemilihan</label>
                                    <span class="number" id="pelaksanaan_pagu"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Paket Hasil Pemilihan</label>
                                    <span class="number" id="hasil_paket"></span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-group-default">
                                    <label>Pagu Hasil Pemilihan</label>
                                    <span class="number" id="hasil_pagu"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-group-default">
                                    <label>Nilai Kontrak</label>
                                    <span class="number" id="kontrak"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-group-default">
                                    <label>Nilai Pembayaran</label>
                                    <span class="number" id="pembayaran"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

#{set 'moreStyles'}
<style>
    div#table-data_paginate ul.pagination {
        float: right;
    }

    div#table-data_filter {
        float: right;
    }

    div#table-data_length .custom-select {
        height: auto !important;
    }

    .main-header .navbar-custom-menu {
        position: absolute !important;
        right: 1vw !important;
    }

    .number, .number {
        text-align: right;
        display: inline-block;
        width: 100%;
    }

</style>
#{/set}

#{set 'moreScripts'}
<script src="@{'/public/assets/plugins/jquery-autonumeric/autoNumeric.js'}" type="text/javascript"></script>
<script type="text/javascript">
    (function ($) {
        'use strict';
        var responsiveHelper = undefined;
        var breakpointDefinition = {
            tablet: 1024,
            phone: 480
        };
        var adjustUrl = #{jsRoute @dashboard.RekapPengadaanAdjustmentController.adjust(':id') /};
        var initTable = function () {
            var table = $('#table-data');
            var settings = {
                lengthMenu: [5, 10, 25, 50, 100],
                "searching": true,
                "pageLength": 10,
                "ordering": true,
                "processing": true,
                "serverSide": true,
                "ajax": {
                    url: "#{url route.dashboard_rekappengadaanadjustmentapicontroller_list /}",
                    dataSrc: 'data'
                },
                initComplete: function () {
                    var dtable = $("#table-data").dataTable().api();
                    var searchWait = 0;
                    var searchWaitInterval;
                    var itemSearch;
                    $('.dataTables_filter input').unbind('.DT').bind('keyup.DT', function (e) {
                        itemSearch = $(this).val();
                        searchWait = 0;
                        if (!searchWaitInterval) searchWaitInterval = setInterval(function () {
                            if (searchWait >= 3) {
                                clearInterval(searchWaitInterval);
                                searchWaitInterval = '';
                                dtable.search(itemSearch).draw();
                                searchWait = 0;
                            }
                            searchWait++;
                        }, 300);
                    });
                },
                "order": [[2, "desc"]],
                "sDom": "<'row'<f l>><t><'row'<p i>>",
                "aoColumnDefs": [
                    {"sWidth": "5%", "aTargets": [0]},
                    {"sWidth": "20%", "aTargets": [1]},
                    {"sWidth": "20%", "aTargets": [2]},
                    {"sWidth": "10%", "aTargets": [3], "orderable": false},
                    {"sWidth": "20%", "aTargets": [4], "orderable": false},
                ],
                columns: [
                    null, null, {
                        render: function (data, type, row) {
                            if (row[3] == 'Ada') {
                                return data + '<i class="fa fa-star" style="color: red"></i>'
                            }
                            return data;
                        }
                    }, null, {
                        render: function (data, type, row) {
                            var rowId = row[4];
                            return "<div class='btn-group'>" +
                                    "<button type='button' class='btn btn-success dropdown-toggle' data-toggle='dropdown' aria-expanded='false'>" +
                                    "Action <span class='sr-only'>Toggle Dropdown</span></button>" +
                                    "<ul class='dropdown-menu' role='menu'>" +
                                    "<li><a href='" + adjustUrl.url({id: rowId}) + "'>Adjust</a></li>" +
                                    "<li class='divider'></li>" +
                                    "<li><a href='#' class='preview' data-id='" + rowId + "'>Preview</a></li>" +
                                    "</ul></div>";
                        }
                    }
                ],
                "scrollCollapse": true,
                "oLanguage": {
                    "sLengthMenu": "Tampilkan _MENU_ data",
                },
            };
            table.dataTable(settings);
            $('#search-table').keyup(function () {
                table.fnFilter($(this).val());
            });
        }
        initTable();
    })(window.jQuery);

    $(document).on('click', '.preview', function (e) {
        var id = $(e.currentTarget).data("id");
        var previewUrl = #{jsRoute @dashboard.RekapPengadaanAdjustmentApiController.get(':id') /};
        $.ajax({
            xhr: function () {
                var browser = navigator.appName;
                if (browser == "Microsoft Internet Explorer") {
                    var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                } else {
                    var xhr = new window.XMLHttpRequest();
                }
                xhr.upload.addEventListener("progress", function (evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = (evt.loaded / evt.total) * 100;
                    }
                }, false);
                return xhr;
            },
            async: true,
            type: "GET",
            cache: false,
            dataType: 'json',
            contentType: false,
            processData: false,
            url: previewUrl.url({id: id}),
            beforeSend: function () {
            },
            success: function (data) {
                $('#modalPreview').modal('show');
                $("#modalPreview span").each(function (e) {
                    var field = $(this).attr("id");
                    $(this).html(data[field]);
                });

                $("#modalPreview span.number").autoNumeric('update');
                $("#modalPreview span.number").autoNumeric('update');
            },
            complete: function () {
            },
            error: function () {
                $('.alert-content')
                        .html('&{translation.general_error}');
            }
        });
    });

    $(document).ready(function () {
        $("#modalPreview span.number").autoNumeric({aSep: '.', aDec: ',', vMax: '999999999999999999', mDec: 0});
    });
</script>
#{/set}
